/*******************************************************************************
 * SkelControlWheel generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SkelControlWheel extends SkelControlSingleBone
    native(Anim)
    hidecategories(Object,Object,Translation,Rotation);

var(Wheel) transient float WheelDisplacement;
var(Wheel) float WheelMaxRenderDisplacement;
var(Wheel) transient float WheelRoll;
var(Wheel) Core.Object.EAxis WheelRollAxis;
var(Wheel) Core.Object.EAxis WheelSteeringAxis;
var(Wheel) transient float WheelSteering;
var(Wheel) bool bInvertWheelRoll;
var(Wheel) bool bInvertWheelSteering;

defaultproperties
{
    WheelMaxRenderDisplacement=50.0
    WheelRollAxis=EAxis.AXIS_X
    WheelSteeringAxis=EAxis.AXIS_Z
    bApplyTranslation=true
    bApplyRotation=true
    bAddTranslation=true
    bAddRotation=true
    BoneTranslationSpace=EBoneControlSpace.BCS_BoneSpace
    BoneRotationSpace=EBoneControlSpace.BCS_BoneSpace
    bIgnoreWhenNotRendered=true
}